#ifndef XAUDIOSOURCEFORMAT_H
#define XAUDIOSOURCEFORMAT_H

#include "xasset.h"
#include "xaudioformatinfo.h"

class XAudioStreamInfo;

class XAudioSourceFormat : public XAsset
{
public:
    XAudioSourceFormat();
    ~XAudioSourceFormat();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint8 mSampleType;
    XAudioStreamInfo* mStreamInfo;
    XAudioFormatInfo* mAudioFormatInfo;
};

#endif // XAUDIOSOURCEFORMAT_H
